Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Attendance
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
        GET
      • Get Time Attendances Lite
        GET
      • Workin
        POST
      • Get Employee WorkIn Site
        GET
      • Get Timestamps
        GET
      • Get TimeStamp Attachments
        GET
      • Get Workin Sites
        GET
      • Get IOMO Logs
        GET
      • Add Timestamps
        POST
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
    • StampCard
      • GetStampCardsAsync
      • GetStampCardDetailAsync
      • AddStampAsync
    • Celebration
      • GetCelebrationUpcoming
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Attendance

Get Time Attendance

GET
https://api.gofive.co.th/empeo/api/v1/time-attendances

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/time-attendances?EmployeeRefId=63000&CompanyName=%E0%B9%80%E0%B8%AD%E0%B8%A1%E0%B8%9E%E0%B8%A3%E0%B8%B4%E0%B9%82%E0%B8%AD%E0%B9%89%20%E0%B8%88%E0%B8%B3%E0%B8%81%E0%B8%B1%E0%B8%94&DateStart=2024-01-01&DateEnd=2024-03-31&DateEnd=2024-05-03' \
--header 'Ocp-Apim-Subscription-Key: d4e1bcfbb8bb4c1585fd86eb5d3957d8' \
--header 'Authorization: Bearer <token>' \
--header 'Cookie: x-DeviceId=D5AA13F9DA5CF5E025CA3A1A1343FE0A' \
--header 'Content-Type: application/json' \
--data ''

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": [
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-01T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 480,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "ขาดงาน",
            "status_EN": "Absent",
            "leaveCodeString": "",
            "totalMinuteOfOT": 0,
            "minuteOfOT1": 0.0,
            "minuteOfOT2": 0.0,
            "minuteOfOT3": 0.0,
            "minuteOfOT4": 0.0
        },
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-02T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 480,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "ขาดงาน",
            "status_EN": "Absent",
            "leaveCodeString": "",
            "totalMinuteOfOT": 0,
            "minuteOfOT1": 0.0,
            "minuteOfOT2": 0.0,
            "minuteOfOT3": 0.0,
            "minuteOfOT4": 0.0
        },
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-03T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 480,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "ขาดงาน",
            "status_EN": "Absent",
            "leaveCodeString": "",
            "totalMinuteOfOT": 0,
            "minuteOfOT1": 0.0,
            "minuteOfOT2": 0.0,
            "minuteOfOT3": 0.0,
            "minuteOfOT4": 0.0
        },
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-04T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 480,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "ขาดงาน",
            "status_EN": "Absent",
            "leaveCodeString": "",
            "totalMinuteOfOT": 0,
            "minuteOfOT1": 0.0,
            "minuteOfOT2": 0.0,
            "minuteOfOT3": 0.0,
            "minuteOfOT4": 0.0
        },
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-05T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 480,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "ขาดงาน",
            "status_EN": "Absent",
            "leaveCodeString": "",
            "totalMinuteOfOT": 0,
            "minuteOfOT1": 0.0,
            "minuteOfOT2": 0.0,
            "minuteOfOT3": 0.0,
            "minuteOfOT4": 0.0
        },
        {
            "userId": "{EEA2CD94-05B2-448B-9829-8A9300F9CDDA}",
            "date": "2024-01-06T00:00:00",
            "stampIn": null,
            "stampOut": null,
            "realStampIn": null,
            "realStampOut": null,
            "workTime": 0,
            "late": 0,
            "early": 0,
            "absence": 0,
            "employeeNo": "63000",
            "fullName": "อมรพงศ์ จีรทวีกิจ",
            "fullName_EN": "Amornporn Jeerataveekij",
            "shiftName": "1111",
            "shiftName_EN": "1111",
            "status": "วันหยุด",
            "status_EN": "Holiday",
            "leaveCodeString":
Modified at 2026-04-28 10:39:02
Previous
Get Candidate
Next
Get Time Attendances Lite
Built with